## r-cran-ggpubr 0.4.0

=== DESCRIPTION ===
Package: ggpubr
Type: Package
Title: 'ggplot2' Based Publication Ready Plots
Version: 0.4.0
Date: 2020-06-27
Authors@R: c(
    person("Alboukadel", "Kassambara", role = c("aut", "cre"), email = "alboukadel.kassambara@gmail.com"))
Description: The 'ggplot2' package is excellent and flexible for elegant data
    visualization in R. However the default generated plots requires some formatting
    before we can send them for publication. Furthermore, to customize a 'ggplot',
    the syntax is opaque and this raises the level of difficulty for researchers
    with no advanced R programming skills. 'ggpubr' provides some easy-to-use
    functions for creating and customizing 'ggplot2'- based publication ready plots.
License: GPL-2
LazyData: TRUE
Encoding: UTF-8
Depends: R (>= 3.1.0), ggplot2
Imports: ggrepel, grid, ggsci, stats, utils, tidyr, purrr, dplyr (>=
        0.7.1), cowplot, ggsignif, scales, gridExtra, glue, polynom,
        rlang, rstatix (>= 0.6.0), tibble, magrittr
Suggests: grDevices, knitr, RColorBrewer, gtable
URL: https://rpkgs.datanovia.com/ggpubr/
BugReports: https://github.com/kassambara/ggpubr/issues
RoxygenNote: 7.1.0
Collate: 'utilities_color.R' 'utilities_base.R' 'desc_statby.R'
        'utilities.R' 'add_summary.R' 'annotate_figure.R' 'as_ggplot.R'
        'axis_scale.R' 'background_image.R' 'bgcolor.R' 'border.R'
        'compare_means.R' 'create_aes.R' 'diff_express.R' 'facet.R'
        'font.R' 'gene_citation.R' 'geom_bracket.R' 'geom_exec.R'
        'get_breaks.R' 'get_legend.R' 'get_palette.R' 'ggadd.R'
        'ggarrange.R' 'ggballoonplot.R' 'ggpar.R' 'ggbarplot.R'
        'ggboxplot.R' 'ggdensity.R' 'ggpie.R' 'ggdonutchart.R'
        'stat_conf_ellipse.R' 'stat_chull.R' 'ggdotchart.R'
        'ggdotplot.R' 'ggecdf.R' 'ggerrorplot.R' 'ggexport.R'
        'gghistogram.R' 'ggline.R' 'ggmaplot.R' 'ggpaired.R'
        'ggparagraph.R' 'ggpubr_args.R' 'ggqqplot.R'
        'utilities_label.R' 'stat_cor.R' 'stat_stars.R' 'ggscatter.R'
        'ggscatterhist.R' 'ggstripchart.R' 'ggsummarystats.R'
        'ggtext.R' 'ggtexttable.R' 'ggviolin.R' 'gradient_color.R'
        'grids.R' 'reexports.R' 'rotate.R' 'rotate_axis_text.R'
        'rremove.R' 'set_palette.R' 'show_line_types.R'
        'show_point_shapes.R' 'stat_central_tendency.R'
        'stat_compare_means.R' 'stat_mean.R'
        'stat_overlay_normal_density.R' 'stat_pvalue_manual.R'
        'stat_regline_equation.R' 'text_grob.R' 'theme_pubr.R'
        'theme_transparent.R' 'utils-geom-signif.R' 'utils-pipe.R'
NeedsCompilation: no
Packaged: 2020-06-27 05:43:55 UTC; kassambara
Author: Alboukadel Kassambara [aut, cre]
Maintainer: Alboukadel Kassambara <alboukadel.kassambara@gmail.com>
Repository: CRAN
Date/Publication: 2020-06-27 06:20:02 UTC

=== debian/changelog ===
r-cran-ggpubr (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 30 Jun 2020 10:34:56 +0200

r-cran-ggpubr (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Jun 2020 07:11:22 +0200

r-cran-ggpubr (0.2.5-3) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Wed, 20 May 2020 15:08:06 +0200

r-cran-ggpubr (0.2.5-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Mon, 06 Apr 2020 15:08:17 +0200

r-cran-ggpubr (0.2.5-1) unstable; urgency=medium

  * Initial release (closes: #955766)

 -- Andreas Tille <tille@debian.org>  Sat, 04 Apr 2020 21:41:56 +0200

=== debian/control ===
Source: r-cran-ggpubr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-ggplot2,
               r-cran-ggrepel,
               r-cran-ggsci,
               r-cran-tidyr,
               r-cran-purrr,
               r-cran-dplyr (>= 0.7.1),
               r-cran-cowplot,
               r-cran-ggsignif,
               r-cran-scales,
               r-cran-gridextra,
               r-cran-glue,
               r-cran-polynom,
               r-cran-rlang,
               r-cran-rstatix (>= 0.6.0),
               r-cran-tibble,
               r-cran-magrittr
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggpubr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggpubr.git
Homepage: https://cran.r-project.org/package=ggpubr
Rules-Requires-Root: no

Package: r-cran-ggpubr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R ggplot2 based publication ready plots
 The 'ggplot2' package is excellent and flexible for elegant data
 visualization in R. However the default generated plots requires some
 formatting before it can be send them for publication. Furthermore, to
 customize a 'ggplot', the syntax is opaque and this raises the level of
 difficulty for researchers with no advanced R programming skills.
 'ggpubr' provides some easy-to-use functions for creating and
 customizing 'ggplot2'- based publication ready plots.

## r-cran-ggpubr 0.6.0

=== DESCRIPTION ===
Package: ggpubr
Type: Package
Title: 'ggplot2' Based Publication Ready Plots
Version: 0.6.0
Date: 2023-02-05
Authors@R: c(
    person("Alboukadel", "Kassambara", role = c("aut", "cre"), email = "alboukadel.kassambara@gmail.com"))
Description: The 'ggplot2' package is excellent and flexible for elegant data
    visualization in R. However the default generated plots requires some formatting
    before we can send them for publication. Furthermore, to customize a 'ggplot',
    the syntax is opaque and this raises the level of difficulty for researchers
    with no advanced R programming skills. 'ggpubr' provides some easy-to-use
    functions for creating and customizing 'ggplot2'- based publication ready plots.
License: GPL (>= 2)
LazyData: TRUE
Encoding: UTF-8
Depends: R (>= 3.1.0), ggplot2 (>= 3.4.0)
Imports: ggrepel (>= 0.9.2), grid, ggsci, stats, utils, tidyr (>=
        1.3.0), purrr, dplyr (>= 0.7.1), cowplot (>= 1.1.1), ggsignif,
        scales, gridExtra, glue, polynom, rlang (>= 0.4.6), rstatix (>=
        0.7.2), tibble, magrittr
Suggests: grDevices, knitr, RColorBrewer, gtable, testthat
URL: https://rpkgs.datanovia.com/ggpubr/
BugReports: https://github.com/kassambara/ggpubr/issues
RoxygenNote: 7.2.3
Collate: 'utilities_color.R' 'utilities_base.R' 'desc_statby.R'
        'utilities.R' 'add_summary.R' 'annotate_figure.R' 'as_ggplot.R'
        'as_npc.R' 'axis_scale.R' 'background_image.R' 'bgcolor.R'
        'border.R' 'compare_means.R' 'create_aes.R' 'diff_express.R'
        'facet.R' 'font.R' 'gene_citation.R' 'gene_expression.R'
        'geom_bracket.R' 'geom_exec.R' 'utils-aes.R'
        'utils_stat_test_label.R' 'geom_pwc.R' 'get_breaks.R'
        'get_coord.R' 'get_legend.R' 'get_palette.R' 'ggadd.R'
        'ggadjust_pvalue.R' 'ggarrange.R' 'ggballoonplot.R' 'ggpar.R'
        'ggbarplot.R' 'ggboxplot.R' 'ggdensity.R' 'ggpie.R'
        'ggdonutchart.R' 'stat_conf_ellipse.R' 'stat_chull.R'
        'ggdotchart.R' 'ggdotplot.R' 'ggecdf.R' 'ggerrorplot.R'
        'ggexport.R' 'gghistogram.R' 'ggline.R' 'ggmaplot.R'
        'ggpaired.R' 'ggparagraph.R' 'ggpubr-package.R' 'ggpubr_args.R'
        'ggpubr_options.R' 'ggqqplot.R' 'utilities_label.R'
        'stat_cor.R' 'stat_stars.R' 'ggscatter.R' 'ggscatterhist.R'
        'ggstripchart.R' 'ggsummarystats.R' 'ggtext.R' 'ggtexttable.R'
        'ggviolin.R' 'gradient_color.R' 'grids.R' 'npc_to_data_coord.R'
        'reexports.R' 'rotate.R' 'rotate_axis_text.R' 'rremove.R'
        'set_palette.R' 'show_line_types.R' 'show_point_shapes.R'
        'stat_anova_test.R' 'stat_central_tendency.R'
        'stat_compare_means.R' 'stat_friedman_test.R'
        'stat_kruskal_test.R' 'stat_mean.R'
        'stat_overlay_normal_density.R' 'stat_pvalue_manual.R'
        'stat_regline_equation.R' 'stat_welch_anova_test.R'
        'text_grob.R' 'theme_pubr.R' 'theme_transparent.R'
        'utils-geom-signif.R' 'utils-pipe.R' 'utils-tidyr.R'
NeedsCompilation: no
Packaged: 2023-02-06 02:39:47 UTC; kassambara
Author: Alboukadel Kassambara [aut, cre]
Maintainer: Alboukadel Kassambara <alboukadel.kassambara@gmail.com>
Repository: CRAN
Date/Publication: 2023-02-10 16:20:02 UTC

=== debian/changelog ===
r-cran-ggpubr (0.6.0-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Feb 2023 13:49:00 +0100

r-cran-ggpubr (0.5.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2022 11:53:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,23 +7,23 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2,
-               r-cran-ggrepel,
+               r-cran-ggplot2 (>= 3.4.0),
+               r-cran-ggrepel (>= 0.9.2),
                r-cran-ggsci,
-               r-cran-tidyr,
+               r-cran-tidyr (>= 1.3.0),
                r-cran-purrr,
-               r-cran-dplyr (>= 0.7.1),
+               r-cran-dplyr,
                r-cran-cowplot,
                r-cran-ggsignif,
                r-cran-scales,
                r-cran-gridextra,
                r-cran-glue,
                r-cran-polynom,
-               r-cran-rlang,
-               r-cran-rstatix (>= 0.6.0),
+               r-cran-rlang (>= 0.4.6),
+               r-cran-rstatix (>= 0.7.2),
                r-cran-tibble,
                r-cran-magrittr
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggpubr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggpubr.git
 Homepage: https://cran.r-project.org/package=ggpubr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/ggpubr_([-\d.]*)\.tar\.gz

## r-cran-ggpubr 0.6.2

=== debian/changelog ===
r-cran-ggpubr (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add autopkgtests

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 08:26:29 +0900

=== debian/control ===
Source: r-cran-ggpubr
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-ggplot2 (>= 3.5.2),
 r-cran-ggrepel,
 r-cran-ggsci,
 r-cran-tidyr,
 r-cran-purrr,
 r-cran-dplyr,
 r-cran-cowplot,
 r-cran-ggsignif,
 r-cran-scales,
 r-cran-gridextra,
 r-cran-glue,
 r-cran-polynom,
 r-cran-rlang,
 r-cran-rstatix,
 r-cran-tibble,
 r-cran-magrittr,
 r-cran-ggplot2,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggpubr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggpubr.git
Homepage: https://cran.r-project.org/package=ggpubr
Rules-Requires-Root: no

Package: r-cran-ggpubr
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R ggplot2 based publication ready plots
 The 'ggplot2' package is excellent and flexible for elegant data
 visualization in R. However the default generated plots requires some
 formatting before it can be send them for publication. Furthermore, to
 customize a 'ggplot', the syntax is opaque and this raises the level of
 difficulty for researchers with no advanced R programming skills.
 'ggpubr' provides some easy-to-use functions for creating and
 customizing 'ggplot2'- based publication ready plots.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-knitr,
 r-cran-rcolorbrewer,
 r-cran-gtable,
 r-cran-testthat,

## r-cran-ggpubr 0.6.3

=== debian/changelog ===
r-cran-ggpubr (0.6.3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Update watch file format version to 5.

 -- Charles Plessy <plessy@debian.org>  Thu, 26 Feb 2026 08:29:10 +0900

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  r-cran-ggsci,
  r-cran-tidyr,
  r-cran-purrr,
- r-cran-dplyr,
+ r-cran-dplyr (>= 1.1.0),
  r-cran-cowplot,
  r-cran-ggsignif,
  r-cran-scales,
@@ -25,7 +25,6 @@
  r-cran-rstatix,
  r-cran-tibble,
  r-cran-magrittr,
- r-cran-ggplot2,
  architecture-is-64-bit,
  architecture-is-little-endian,
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggpubr

=== debian/watch ===
Version: 5

Source: https://cloud.r-project.org/src/contrib/ggpubr_([-\d.]*)\.tar\.gz
